CREATE TABLE `SPORTS_AHL_PLAYERS_SEASON_GOALIES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `starts` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shots_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` MEDIUMINT(8) UNSIGNED DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_PLAYERS_SEASON_SKATERS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `starts` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `plus_minus` TINYINT(4) DEFAULT NULL,
  `pims` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gw_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_PLAYERS_SEASON_GOALIES_HEATMAP` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `saves` VARBINARY(56) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_PLAYERS_SEASON_SKATERS_HEATMAP` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `shots` VARBINARY(56) DEFAULT NULL,
  `goals` VARBINARY(56) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_PLAYERS_SEASON_GOALIES_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `gp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `starts` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `win` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `loss` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ot_loss` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_loss` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `shots_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `saves` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `save_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `save_pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `save_pct_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `goals_against_avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_avg_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `shutout` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `minutes_played` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_goals_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_shots_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_saves` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_save_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pims` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_AHL_PLAYERS_SEASON_SKATERS_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` CHAR(3) COLLATE latin1_general_ci NOT NULL,
  `goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `plus_minus` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pims` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pp_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pp_assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pp_points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sh_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sh_assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sh_points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gw_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shots` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shot_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shot_pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shot_pct_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `so_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_shots` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
